#include <bits/stdc++.h>
using namespace std;
int n, niz1[100], niz2[100];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin>>n;
    int br1 = 1;
    int br2 = 2*n;
    for(int  i = 1; i <= n; i++){
        if(i % 2 == 1){
            niz1[i] = br2;
            br2--;
            niz2[i] = br2;
            br2--;
        }
        else{
            niz1[i] = br1;
            br1++;
            niz2[i] = br1;
            br1++;
        }
    }
    for(int i = 1; i <= n; i++){
        cout<<niz1[i]<<" ";
    }
    cout<< endl;
    for(int i = 1; i <= n; i++){
        cout<<niz2[i]<<" ";
    }
    cout<< endl;
return 0;
}